How To Upgrade To Apache Tomcat 7.0.59 In Service Catalog 14.1

Document ID : KB000009864
Last Modified Date : 14/02/2018
Show Technical Document Details
Introduction:

Due to vulnerabilities in previous version of Tomcat, it might be necessary to upgrade the version of Tomcat being bundled by Service Catalog 14.1 to a later version. In this document we will provide the information about how to upgrade to Tomcat 7.0.59

Background:

In the following link you can find the list of vulnerabilities in Tomcat:

https://tomcat.apache.org/security-7.html

 

Environment:
Service Catalog 14.1
Instructions:

1. Download the Apache Tomcat 7.0.59 (from http://archive.apache.org/dist/tomcat/tomcat-7/v7.0.59/bin/ ) (If you are in a 64-bit environment, please download apache-tomcat-7.0.59-windows-x64.zip)

2. Login to your CA Service Catalog server and stop the CA Service Catalog service.

3. Double click on usm.cmd (located under usmhome, i.e. CA Service Catalog install folder)…this will launch the CA Service Catalog command prompt.

4. Run, ant upgrade-tomcat and provide the required details.

5. Open the server.xml (located under umshome\view\conf) in a text editor.

and replace the following line

<Context path="/usm" docBase="C:\Program Files\CA\Service Catalog\view\webapps\usm" debug="0" reloadable="false" />

with the following:

<Context path="/usm" docBase="__USMHOME__\view\webapps\usm" debug="0" reloadable="false">
<Loader delegate="true" />
</Context>

6. Restart the CA Service Catalog.


7. You can check the new version of tomcat by following the steps of the document below:

http://www.ca.com/us/services-support/ca-support/ca-support-online/knowledge-base-articles.tec1362235.html

 

Additional Information: